{% extends 'core.html' %}

{% block title %}Nueva Contraseña{% endblock %}
{% load crispy_forms_tags %}

{% block content %}
{% if validlink %}
<div class="container" style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%);">
    <div class="card text-center align-middle">
        <div class="card-header bg-dark text-white">
            Nueva Contraseña
        </div>
        <div class="card-body">
            <form method="POST" action="">
            {% csrf_token %}
            <div class="row">
                <div class="col-6">
                    {{ form.new_password1|as_crispy_field }}
                </div>
                <div class="col-6">
                    {{ form.new_password2|as_crispy_field }}
                </div>
            </div>
            <input type="submit" class="btn btn-warning" value="Confirmar"></button>
            </form>
        </div>
    </div>
</div>
{% else %}
<div class="container">
    <div class="card" style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%);">
        <div class="card-header bg-dark text-white">
            Error en el Reestablecimiento de la Contraseña
        </div>
        <div class="card-body">
            <p class="lead">El link es inválido, posiblemente porque ya se ha usado. Porfavor solicitar una nueva reestauración.</p>
        </div>
    </div>
</div>
{% endif %}
{% endblock %}